### Enumeration

# Ggit SubmoduleUpdate

#### Declaration

    enum Ggit.SubmoduleUpdate

#### Description [src]

Describes how a submodule should be updated.

#### Members

Name | Description
--- | ---
`GGIT_SUBMODULE_UPDATE_CHECKOUT` | Checkout the submodule.
`GGIT_SUBMODULE_UPDATE_REBASE` | Rebase the current branch onto the commit recorded in the superproject.
`GGIT_SUBMODULE_UPDATE_MERGE` | Merge the commit recorded in the superproject into the current branch.
`GGIT_SUBMODULE_UPDATE_NONE` | Do not update this submodule.
`GGIT_SUBMODULE_UPDATE_DEFAULT` | Not used except as static initializer when we don’t want any particular update rule to be specified.